%define upstream_name    Data-TreeDumper
%define upstream_version 0.41

%global __requires_exclude perl\\(Data::TreeDumper::OO\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Improved replacement for Data::Dumper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Check::ISA)
BuildRequires: perl(Class::ISA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sort::Naturally)
BuildRequires: perl(Term::Size) >= 0.200.0
BuildRequires: perl(Text::Wrap) >= 2001.92.900
BuildArch:  noarch

%description
Data::Dumper and other modules do a great job of dumping data structures. Their
output, however, often takes more brain power to understand than the data
itself. When dumping large amounts of data, the output can be overwhelming and
it can be difficult to see the relationship between each piece of the dumped
data.

Data::TreeDumper also dumps data in a tree-like fashion but hopefully in a
format more easily understood.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Data

%changelog
* Wed Nov 01 2023 tv <tv> 0.410.0-1.mga10
+ Revision: 2003275
- update to 0.41

* Sun Mar 20 2022 umeabot <umeabot> 0.400.0-10.mga9
+ Revision: 1802841
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.400.0-9.mga8
+ Revision: 1493779
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.400.0-8.mga7
+ Revision: 1267017
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.400.0-7.mga6
+ Revision: 1024921
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.400.0-6.mga6
+ Revision: 944945
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.400.0-5.mga5
+ Revision: 746985
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.400.0-4.mga5
+ Revision: 684247
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.400.0-3.mga4
+ Revision: 510621
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-2.mga3
+ Revision: 365502
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.400.0-1.mga2
+ Revision: 106587
- update to 0.40

* Sat Jan 22 2011 jquelin <jquelin> 0.370.0-1.mga1
+ Revision: 31876
- mageia rebuild
- imported package perl-Data-TreeDumper

